---
search:
  tags:
    - Webhooks
    - PATCH
seo:
  description: >-
    Update a webhook endpoint. Reference for the PATCH /api/v1/webhooks/{id}
    endpoint in the torqee Connect API.
sidebar:
  label: Update a webhook endpoint
  badge: PATCH
title: Update a webhook endpoint
type: openapi-operation
---
`PATCH /api/v1/webhooks/{id}`

**Request body** (`application/json`, required)

- `name` (string)
- `url` (string<uri>)
- `filters` (object[])
- `enabled` (boolean)

Request body example:

```json
{
  "name": "string",
  "url": "http://example.com",
  "filters": [
    {
      "type": "session.created",
      "sessionId": "string"
    }
  ],
  "enabled": true
}
```

**Responses**

- `200` — Updated endpoint
- `400` — Invalid endpoint or filters
- `401` — Missing or invalid credentials
- `403` — Membership revoked or insufficient scope
- `404` — Webhook endpoint or workspace not found
- `500` — Unexpected server error

Response example, 200:

```json
{
  "id": "string",
  "name": "string",
  "url": "http://example.com",
  "filters": [
    {
      "type": "session.created",
      "sessionId": "string"
    }
  ],
  "enabled": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
